%define upstream_name Horde
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version:     	5.1.4
Release:     	%mkrel 2
Summary:    	Horde Application Framework
License:    	LGPL-2
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/horde-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
BuildRequires: 	php-pear-Horde_Role
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires: 	php-pear-Horde_Alarm >= 2.0.0
Requires: 	php-pear-Horde_Alarm < 3.0.0alpha1
Requires: 	php-pear-Horde_Argv >= 2.0.0
Requires: 	php-pear-Horde_Argv < 3.0.0alpha1
Requires: 	php-pear-Horde_Auth >= 2.0.0
Requires: 	php-pear-Horde_Auth < 3.0.0alpha1
Requires: 	php-pear-Horde_Autoloader >= 2.0.0
Requires: 	php-pear-Horde_Autoloader < 3.0.0alpha1
Requires: 	php-pear-Horde_Browser >= 2.0.0
Requires: 	php-pear-Horde_Browser < 3.0.0alpha1
Requires: 	php-pear-Horde_Core >= 2.5.0
Requires: 	php-pear-Horde_Core < 3.0.0alpha1
Requires: 	php-pear-Horde_Date >= 2.0.0
Requires: 	php-pear-Horde_Date < 3.0.0alpha1
Requires: 	php-pear-Horde_Exception >= 2.0.0
Requires: 	php-pear-Horde_Exception < 3.0.0alpha1
Requires: 	php-pear-Horde_Form >= 2.0.0
Requires: 	php-pear-Horde_Form < 3.0.0alpha1
Requires: 	php-pear-Horde_Group >= 2.0.0
Requires: 	php-pear-Horde_Group < 3.0.0alpha1
Requires: 	php-pear-Horde_Http >= 2.0.0
Requires: 	php-pear-Horde_Http < 3.0.0alpha1
Requires: 	php-pear-Horde_Image >= 2.0.0
Requires: 	php-pear-Horde_Image < 3.0.0alpha1
Requires: 	php-pear-Horde_LoginTasks >= 2.0.0
Requires: 	php-pear-Horde_LoginTasks < 3.0.0alpha1
Requires: 	php-pear-Horde_Mail >= 2.0.0
Requires: 	php-pear-Horde_Mail < 3.0.0alpha1
Requires: 	php-pear-Horde_Mime >= 2.0.0
Requires: 	php-pear-Horde_Mime < 3.0.0alpha1
Requires: 	php-pear-Horde_Nls >= 2.0.0
Requires: 	php-pear-Horde_Nls < 3.0.0alpha1
Requires: 	php-pear-Horde_Perms >= 2.0.0
Requires: 	php-pear-Horde_Perms < 3.0.0alpha1
Requires: 	php-pear-Horde_Prefs >= 2.0.0
Requires:	php-pear-Horde_Prefs < 3.0.0alpha1
Requires: 	php-pear-Horde_Rpc >= 2.0.0
Requires: 	php-pear-Horde_Rpc < 3.0.0alpha1
Requires: 	php-pear-Horde_Serialize >= 2.0.0
Requires: 	php-pear-Horde_Serialize < 3.0.0alpha1
Requires: 	php-pear-Horde_Support >= 2.0.0
Requires: 	php-pear-Horde_Support < 3.0.0alpha1
Requires: 	php-pear-Horde_Text_Diff >= 2.0.0
Requires: 	php-pear-Horde_Text_Diff < 3.0.0alpha1
Requires: 	php-pear-Horde_Token >= 2.0.0
Requires: 	php-pear-Horde_Token < 3.0.0alpha1
Requires: 	php-pear-Horde_Text_Filter >= 2.0.0
Requires: 	php-pear-Horde_Text_Filter < 3.0.0alpha1
Requires: 	php-pear-Horde_Tree >= 2.0.0
Requires: 	php-pear-Horde_Tree < 3.0.0alpha1
Requires: 	php-pear-Horde_Url >= 2.0.0
Requires: 	php-pear-Horde_Url < 3.0.0alpha1
Requires: 	php-pear-Horde_Util >= 2.0.0
Requires: 	php-pear-Horde_Util < 3.0.0alpha1
Requires: 	php-pear-Horde_View >= 2.0.0
Requires: 	php-pear-Horde_View < 3.0.0alpha1
Requires: 	php-pear-Horde_Vfs >= 2.0.0
Requires: 	php-pear-Horde_Vfs < 3.0.0alpha1
Requires:     	php-pear-channel-horde
BuildArch:  	noarch
	


%description
The Horde Application Framework is a flexible, modular, general-purpose web
application framework written in PHP. It provides an extensive array of
components that are targeted at the common problems and tasks involved in
developing modern web applications. It is the basis for a large number of
production-level web applications, notably the Horde Groupware suites. For
more information on Horde or the Horde Groupware suites, visit
http://www.horde.org.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{_libdir}/php/pear/horde \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/horde.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/horde.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/horde
fi

%files
%doc docs/horde/*
%{peardir}/*
%{_bindir}/*
%{_libdir}/*
%{xmldir}/horde.xml



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 5.1.4-2.mga4
+ Revision: 538495
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 5.1.4-1.mga4
+ Revision: 489768
- upgrade to vers. 5.1.4

* Wed Aug 21 2013 spuhler <spuhler> 5.1.2-1.mga4
+ Revision: 468994
- removed the %%s macro in the build.
- added BuildRequires: php-pear-Horde_Role
- added the requires per upstream
- imported package php-pear-Horde

